sc::GenPetite4 Class Referenceabstract

This class is an abstract base to a generalized four index petite list. More...

`#include <gpetite.h>`

Inheritance diagram for sc::GenPetite4:
[legend]
Collaboration diagram for sc::GenPetite4:
[legend]

## Public Member Functions

| GenPetite4 (const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4)
virtual int | in_p4 (int i, int j, int k, int l)=0
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Attributes

bool | c1_
int | ng_
int ** | shell_map_i_
int ** | shell_map_j_
int ** | shell_map_k_
int ** | shell_map_l_
Ref< GaussianBasisSet > | b1_
Ref< GaussianBasisSet > | b2_
Ref< GaussianBasisSet > | b3_
Ref< GaussianBasisSet > | b4_

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

This class is an abstract base to a generalized four index petite list.

The documentation for this class was generated from the following file:

- gpetite.h